All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.dataselectors.exceptionhighlighting
Class ExceptionHighlightingCommand

    com.sas.commands.dataselectors.exceptionhighlighting.ExceptionHighlightingCommand

All Implemented Interfaces:
  CommandSupportedInterface, CancelInterface, ContentsChangedInterface, DataSelectorCommandInterface, DynamicAttributeCommandInterface, PendingCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    @SASScope(value="ALL")
    public class ExceptionHighlightingCommand

implements CommandSupportedInterface

The command processes actions, via the Action Provider Framework, as they are initiated by the visual in response to user input. Actions include show, process, commit, and cancel. Each action causes a corresponding method on this command to be invoked.

The show action creates an instance of `ExceptionHighlightingSelectorInterface` to provide to the visual so that the Exception Highlighting Selector can be displayed to the user.

The commit action is invoked when the user leaves the selector visual by pressing the OK button. Depending on the selected options, exception highlightings are applied to the data model.

The cancel action is invoked when the user leaves the selector visual by pressing the Cancel button. There is no specific processing by this command for the cancel action.

The process action keeps the user interface (UI) of the Exception Highlighting Selector up to date when the user interact with the UI.

Since:
  3.1.4

Field Summary
`protected ExceptionHighlightingSelectorInterface` | `adapter`

Fields inherited from class com.sas.commands.dataselectors.BaseSelectorCommand
`actionClass, CANCEL_MODE, COMMIT_MODE, complete, contentsChanged, eventInfo, eventSource, modal, mode, model, PROCESS_MODE, selector, selectorModel, SHOW_MODE`

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`ExceptionHighlightingCommand()` Default Constructor.
`ExceptionHighlightingCommand(java.lang.String name)` Constructor that accepts a command name.
`ExceptionHighlightingCommand(java.lang.String name, java.lang.String actionClass)` Constructor that accepts a command name and an action class type.

Method Summary
`protected void` | `commit(java.lang.Object o)`
`boolean` | `isSupported(ActionSupportFilter actionFilter)` Returns a boolean indicating whether the command is supported for the given area as specified by the current area information encapsulated in the ActionSupportFilter.
`protected void` | `process(java.lang.Object o)`
`protected void` | `show(java.lang.Object o)`

Methods inherited from class com.sas.commands.dataselectors.BaseSelectorCommand
`cancel, cancel, closeSelector, execute, getEventInfo, getEventSource, getMode, getModel, getSelector, getSelectorModel, isComplete, isContentsChanged, isModal, setComplete, setModal, setMode, setModel, setSelector, setSelectorModel`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### adapter

    protected ExceptionHighlightingSelectorInterface adapter

Constructor Detail

### ExceptionHighlightingCommand

    public ExceptionHighlightingCommand()

  Default Constructor.

### ExceptionHighlightingCommand

    public ExceptionHighlightingCommand(java.lang.String name)

  Constructor that accepts a command name.

  Parameters:
    `name` - The command name.

### ExceptionHighlightingCommand

    public ExceptionHighlightingCommand(java.lang.String name,
                                        java.lang.String actionClass)

  Constructor that accepts a command name and an action class type.

  Parameters:
    `name` - The command name.
    `actionClass` - The action class type.

Method Detail

### show

    protected void show(java.lang.Object o)

  Overrides:
    `show` in class `BaseSelectorCommand`

### commit

    protected void commit(java.lang.Object o)
                   throws java.io.IOException

  Overrides:
    `commit` in class `BaseSelectorCommand`
  Throws:
    `java.io.IOException`

### process

    protected void process(java.lang.Object o)

  Overrides:
    `process` in class `BaseSelectorCommand`

### isSupported

    public boolean isSupported(ActionSupportFilter actionFilter)

  Description copied from interface: `CommandSupportedInterface`

  Returns a boolean indicating whether the command is supported for the given area as specified by the current area information encapsulated in the ActionSupportFilter.

  Specified by:
    `isSupported` in interface `CommandSupportedInterface`
  Parameters:
    `actionFilter` - The ActionSupportFilter that encapsulates all the necessary information to describe the current area.
  Returns:
    a boolean indicating whether the command is supported
  See Also:
    `BaseAction.setReturnStatus(int)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.